Package net.snowflake.client.core.auth.oauth

## Class RandomStateProvider

- java.lang.Object
- - net.snowflake.client.core.auth.oauth.RandomStateProvider

All Implemented Interfaces:
  `StateProvider<String>`

    @SnowflakeJdbcInternalApi
    public class RandomStateProvider
    extends Object
    implements StateProvider<String>

### Constructor Summary

Constructors
`RandomStateProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getState()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RandomStateProvider

    public RandomStateProvider()

### Method Detail

#### getState

    public String getState()

Specified by:
  `getState` in interface `StateProvider<String>`